Subject: Re: [PATCH v2 0/8] TLS read_sock performance scalability

From: Jakub Kicinski <[email-masked]>
Date: Wed, 11 Mar 2026 13:42:50 -0700

On Tue, 10 Mar 2026 20:19:44 -0400 Chuck Lever wrote:
> I'd like to encourage in-kernel kTLS consumers (i.e., NFS and
> NVMe/TCP) to coalesce on the use of read_sock. When I suggested
> this to Hannes, he reported a number of nagging performance
> scalability issues with read_sock. This series is an attempt to run
> these issues down and get them fixed before we convert the above
> sock_recvmsg consumers over to read_sock.
> 
> While I assemble performance data, let's nail down the preferred
> code structure.

Could you check if the tls selftest passes?
It appears to be failing in our CI since this got posted.